src/ctwr/cs_ctwr_mesh.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions
cs_ctwr_mesh.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ple_locator.h>`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "bft_mem.h"`
`#include "fvm_nodal_extract.h"`
`#include "fvm_nodal_extrude.h"`
`#include "fvm_nodal_project.h"`
`#include "cs_base.h"`
`#include "cs_coupling.h"`
`#include "cs_ctwr.h"`
`#include "cs_ctwr_air_props.h"`
`#include "cs_ctwr_halo.h"`
`#include "cs_halo.h"`
`#include "cs_interface.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_ctwr_mesh.h"`
Include dependency graph for cs_ctwr_mesh.c:

## Macros
#define | CS_LOC_PRODUIT_SCALAIRE(vect1, vect2) (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])
#define | CS_LOC_MODULE(vect) sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])
#define | CS_PRODUIT_VECTORIEL(prod_vect, vect1, vect2)
#define | CS_CT_MPI_TAG (int)('C'+'S'+'Z'+'E') /* MPI tag for FVM operations */

## Enumerations
enum | { X, Y, Z }

## Functions
void | geoct (void)
void | cs_ctwr_maille (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_ctwr_adeau (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)
void | cs_ctwr_adair (void)
void | cs_ctwr_stacking (void)

## Macro Definition Documentation

#define CS_CT_MPI_TAG (int)('C'+'S'+'Z'+'E') /* MPI tag for FVM operations */

#define CS_LOC_MODULE | ( |  | vect | ) | sqrt(vect[X] * vect[X] + vect[Y] * vect[Y] + vect[Z] * vect[Z])

#define CS_LOC_PRODUIT_SCALAIRE | ( |  | vect1,
|  |  | vect2
| ) |  | (vect1[X] * vect2[X] + vect1[Y] * vect2[Y] + vect1[Z] * vect2[Z])

#define CS_PRODUIT_VECTORIEL | ( |  | prod_vect,
|  |  | vect1,
|  |  | vect2
| ) |  |

Value:
(prod_vect[X] = vect1[Y] * vect2[Z] - vect2[Y] * vect1[Z], \
prod_vect[Y] = vect2[X] * vect1[Z] - vect1[X] * vect2[Z], \
prod_vect[Z] = vect1[X] * vect2[Y] - vect2[X] * vect1[Y])

## Enumeration Type Documentation

anonymous enum

Enumerator
X |
Y |
Z |

## Function Documentation

void cs_ctwr_adair | ( | void |  | ) |

void cs_ctwr_adeau | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_ctwr_maille | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_ctwr_stacking | ( | void |  | ) |

void geoct | ( | void |  | ) |